Documentation : eTicket Upgrade (Updated 26 June 2008)

» Upgrading

Ticket can be both installed from fresh or upgraded from previous versions of osTicket or eTicket.

Upgrading has been tested with osTicket v1.3.x, but should work from osTicket v1.2 and above without a problem.

NOTICE: Always make backup your files AND database first!

If you ARE upgrading, (backup: attachements, settings.php and FIRST), remove all files and folders, upload the new ones, and finally restore any files you backed up.

Then, you MUST follow the upgrade (upgrade.php) to update the database.

IMPORTANT!! If you are upgrading from ANY version of eTicket prior to 1.7, it’s critical that you DELETE all .pl files from your eTicket directory, they pose a security risk!